
FUN PUBLIC make_dict(_type, optional _inode, optional _ithread)
{

  _thread = present(_ithread) ? iii(_ithread,2) : "%%";
  _node   = present(_inode  ) ? iii(_inode  ,2) : "%%";

  _nodestr= ($SHOT>65700 || $SHOT==-1) ? "node" : "tcvrt";
  
  _base   = "\\rtc::top."//_nodestr//_node//".thread"//_thread//"."//_type//"s:"//_type//"_%%%";
  write(*,"[make_dict] base="//_base);
 
  _nids   = TreeFindNodeWild(_base);
  _path   = getnci(_nids,"PATH");
  if (size(_path)>0)
  {
    _len    = getnci(_path//":raw","LENGTH");
    _path   = pack(_path,_len>0);
  }
  
  if (size(_path)>0)
  {
    _name   = getnci(_path//":name","record");
    _order  = sort(_name) : *;
  
    _dict   = MAKE_SIGNAL(_path[_order],*,_name[_order]);
  }
  else
  {
    _dict   = MAKE_SIGNAL([],*,[]);
  }
  return(_dict);

}
