
FUN PUBLIC rtc_get(_type, _name, optional _inode, optional _ithread, optional _dict)
{
  _has_inode   = present(_inode  ) && KIND(_inode  )>0;
  _has_ithread = present(_ithread) && KIND(_ithread)>0;
  _has_dict    = present(_dict   ) && KIND(_dict   )>0;  

  if (!_has_dict)
  {

    _nodestr= ($SHOT>65700 || $SHOT==-1) ? "node" : "tcvrt";

    _thread = _has_ithread ? ".thread"//iii(_ithread,2) : "";
    _node   = _has_inode   ? _nodestr //iii(_inode  ,2) : "";

    _base   = "\\rtc::top."//_node//_thread//":dict_"//_type//"s";
    /*write(*,"[rtc_get] type="//_type//" base="//_base);*/

    _dict   = build_path(_base);
  }
 
  _mem = size(_dict)>0 ? _dict[_name] : abort(); 
  if (dim_of(_mem) != _name) { abort();}

  return(BUILD_PATH(data(_mem)));

}
